## libargparse 3.0

=== debian/changelog ===
libargparse (3.0-2) unstable; urgency=medium

  * Set upstream metadata fields: Repository.
  * Apply multi-arch hints.
   + libargparse-dev: Add Multi-Arch: same.

 -- Andreas Tille <tille@debian.org>  Thu, 28 Dec 2023 07:51:17 +0100

libargparse (3.0-1) unstable; urgency=medium

  * Initial release (Closes: #1056953)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Nov 2023 12:17:36 +0100
