=== debian/control ===
Source: libargparse
Section: libdevel
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Build-Depends: debhelper-compat (= 13),
               cmake,
               pkg-config
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/med-team/libargparse
Vcs-Git: https://salsa.debian.org/med-team/libargparse.git
Homepage: https://github.com/p-ranav/argparse
Rules-Requires-Root: no

Package: libargparse-dev
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Multi-Arch: same
Description: parsing command-line arguments in C++
 Single C++ header library to pasre arguments.  Simply include argparse.hpp
 and you're good to go.
