## libargparse 3.1

=== debian/changelog ===
libargparse (3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 3.1
  * d/control: declare compliance to standards version 4.7.0.
  * d/control: migrate to pkgconf.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Aug 2024 12:39:12 +0200
