=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Andreas Tille <tille@debian.org>
 Build-Depends: debhelper-compat (= 13),
                cmake,
-               pkg-config
-Standards-Version: 4.6.2
+               pkgconf
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/med-team/libargparse
 Vcs-Git: https://salsa.debian.org/med-team/libargparse.git
 Homepage: https://github.com/p-ranav/argparse
