## libargparse 3.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 endif()
 
 project(argparse
-        VERSION 3.1.0 
+        VERSION 3.2.0 
         DESCRIPTION "A single header argument parser for C++17"
         HOMEPAGE_URL "https://github.com/p-ranav/argparse"
         LANGUAGES CXX
@@ -55,7 +55,7 @@
   endif()
 
   write_basic_package_version_file("${CMAKE_CONFIG_VERSION_FILE_NAME}"
-      COMPATIBILITY ExactVersion
+      COMPATIBILITY SameMajorVersion
       ${OPTIONAL_ARCH_INDEPENDENT}
   )
