=== debian/changelog ===
libargparse (3.2-1) unstable; urgency=medium

  * New upstream version 3.2
  * d/control: declare compliance to standards version 4.7.2.
  * d/control: add myself to uploaders.

 -- Étienne Mollier <emollier@debian.org>  Wed, 05 Mar 2025 13:58:29 +0100
